[Deprecated]: V5.0

get

/ec-designer-svc/rest/v5.0/studies/{studyId}/versions/{version}/visits/{visitid}

Deprecated: Use latest version instead. Retrieves a visit in a study.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : VisitDto v5.0
Type: object
Title: VisitDto v5.0
Visit design returned with study version details.
Show Source
Example:
{
    "id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
    "title":"Screening",
    "repeatVisit":false,
    "repeatNumber":0,
    "requiredVisit":true,
    "randomization":"8E1A7B6C2D3F4A55B12C9D4E6F708192",
    "lastRequired":false,
    "eventType":"ScreeningVisit",
    "shortName":"SCR",
    "visitDescription":"Screening visit",
    "visitStartDate":"2024-01-15T10:30:00.000+00:00",
    "studyVersion":"1.0.0.1",
    "studyVersionStatus":"TESTING"
}
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top